Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uchicago.src.sim.engine.gui.model
Class ConstantParameter

    java.lang.Object
      uchicago.src.sim.engine.gui.model.DataParameter
          uchicago.src.sim.engine.gui.model.ConstantParameter

    public class ConstantParameter

extends DataParameter

Author:
  maciorowski

Field Summary

Fields inherited from class uchicago.src.sim.engine.gui.model.DataParameter
`lineSeparator`

Constructor Summary
`ConstantParameter(int runs, java.lang.String name, java.lang.String dataType, boolean input, java.lang.Object value)`

Method Summary
`java.lang.Object` | `getValue()`
`void` | `setValue(java.lang.Object value)`
`java.lang.String` | `toString()`
`java.lang.String` | `toXMLCloseString()`
`java.lang.String` | `toXMLOpenString()`

Methods inherited from class uchicago.src.sim.engine.gui.model.DataParameter
`getDataType, getIOString, getName, getNestedParameters, getRuns, isInput, setDataType, setInput, setName, setRuns, toXMLString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConstantParameter

    public ConstantParameter(int runs,
                             java.lang.String name,
                             java.lang.String dataType,
                             boolean input,
                             java.lang.Object value)

Parameters:
  `runs` -
  `name` -
  `dataType` -
  `input` -

Method Detail

### setValue

    public void setValue(java.lang.Object value)

  Parameters:
    `value` - The value to set.

### getValue

    public java.lang.Object getValue()

  Returns:
    Returns the value.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `DataParameter`

### toXMLOpenString

    public java.lang.String toXMLOpenString()

  Overrides:
    `toXMLOpenString` in class `DataParameter`

### toXMLCloseString

    public java.lang.String toXMLCloseString()

  Overrides:
    `toXMLCloseString` in class `DataParameter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD